#!/bin/sh

set -e

case "$1" in
    configure)
	setcap cap_fowner,cap_mknod,cap_sys_chroot=ep /usr/bin/loolforkit || true
	setcap cap_sys_admin=ep /usr/bin/loolmount || true

	adduser --quiet --system --group --home /opt/lool lool
	mkdir -p /var/cache/loolwsd && chown lool: /var/cache/loolwsd
	rm -rf /var/cache/loolwsd/*
	chown lool: /etc/loolwsd/loolwsd.xml
	chmod 640 /etc/loolwsd/loolwsd.xml

	# We assume that the LibreOffice to be used is built TDF-style
	# and installs in /usr/lib64/libreoffice, and that /opt/lool is
	# on the same file system

	rm -rf /opt/lool
	mkdir -p /opt/lool/child-roots
	chown lool: /opt/lool
	chown lool: /opt/lool/child-roots

	fc-cache /usr/lib64/libreoffice/share/fonts/truetype

	su lool --shell=/bin/sh -c "loolwsd-systemplate-setup /opt/lool/systemplate /usr/lib64/libreoffice >/dev/null 2>&1"
	;;

esac

#DEBHELPER#
